import { Component, ViewEncapsulation } from '@angular/core';

@Component({
  selector: 'main',
  templateUrl: './main.component.html',
  encapsulation: ViewEncapsulation.None,
})
export class MainComponent {
  components = [
    {
      id: 'ag(1)',
      name: '에볼루션',
      summary: 'Evolution',
      exampleSpecs: {
        prefix: 'autocomplete-',
      },
      additionalApiDocs: [
        {
          name: 'Testing',
          path: 'material-autocomplete-testing.html',
        },
      ],
    },
    {
      id: 'allbet',
      name: '프라그메틱',
      summary: 'PragmaticPlay.',
      exampleSpecs: {
        prefix: 'badge-',
      },
      additionalApiDocs: [
        {
          name: 'Testing',
          path: 'material-badge-testing.html',
        },
      ],
    },
    {
      id: 'elysium',
      name: '드림게이밍',
      summary: 'DreamGaming',
      exampleSpecs: {
        prefix: 'bottom-sheet-',
      },
      additionalApiDocs: [
        {
          name: 'Testing',
          path: 'material-bottom-sheet-testing.html',
        },
      ],
    },
    {
      id: 'elysium',
      name: '마이크로게이밍',
      summary: 'MicroGaming',
      exampleSpecs: {
        prefix: 'button-',
        exclude: ['button-toggle-'],
      },
      additionalApiDocs: [
        {
          name: 'Testing',
          path: 'material-button-testing.html',
        },
      ],
    },
    {
      id: 'evolution',
      name: '오리엔탈플러스',
      summary: 'OrientalPlus',
      exampleSpecs: {
        prefix: 'button-toggle-',
      },
      additionalApiDocs: [
        {
          name: 'Testing',
          path: 'material-button-toggle-testing.html',
        },
      ],
    },
    {
      id: 'ezugi',
      name: '아시안게이밍',
      summary: 'AsiaGaming',
      exampleSpecs: {
        prefix: 'card-',
      },
      additionalApiDocs: [
        {
          name: 'Testing',
          path: 'material-card-testing.html',
        },
      ],
    },
    {
      id: 'ezugi',
      name: 'CQ9LIVE',
      summary: 'CQ9LIVE',
      exampleSpecs: {
        prefix: 'checkbox-',
      },
      additionalApiDocs: [
        {
          name: 'Testing',
          path: 'material-checkbox-testing.html',
        },
      ],
    },
    {
      id: 'ezugi',
      name: '이주기',
      summary: 'Ezugi',
      exampleSpecs: {
        prefix: 'chips-',
      },
      additionalApiDocs: [
        {
          name: 'Testing',
          path: 'material-chips-testing.html',
        },
      ],
    },

    // {
    //   id: 'ezugi',
    //   name: '비보카지노',
    //   summary: 'VIVO',
    //   exampleSpecs: {
    //     prefix: 'core-',
    //   },
    //   additionalApiDocs: [
    //     {
    //       name: 'Testing',
    //       path: 'material-core-testing.html',
    //     },
    //   ],
    // },
  ];

  data = {
    schedule: {
      today: [
        {
          title: '계좌 등록 안내',
          time: '2022-06-08',
        },
        {
          title: '오토프로그램 이용 안냐',
          time: '2022-06-08',
        },
        {
          title: '입출금 규정 안내',
          time: '2022-06-08',
        },
        {
          title: '원피(가상계좌)사용 안내',
          time: '2022-06-08',
        },
        {
          title: '입금문의 안내(필독)',
          time: '2022-06-08',
        },
      ],
    },
  };
  /**
   * Constructor
   */
  constructor() {}

  /**
   * Track by function for ngFor loops
   *
   * @param index
   * @param item
   */
  trackByFn(index: number, item: any): any {
    return item.id || index;
  }
}
